Package icyllis.modernui.graphics

# Enum Class GradientShader.InterpolationColorSpace

java.lang.Object
java.lang.Enum<GradientShader.InterpolationColorSpace>
icyllis.modernui.graphics.GradientShader.InterpolationColorSpace

All Implemented Interfaces:
  `Serializable`, `Comparable<GradientShader.InterpolationColorSpace>`, `Constable`

Enclosing class:
  `GradientShader`

public static enum GradientShader.InterpolationColorSpace extends Enum<GradientShader.InterpolationColorSpace>
Interpolation color space. See CSS Color Space for Interpolation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DESTINATION`
  Interpolate in the color space of the render target.
  `HSL`
  `HWB`
  `LAB`
  `LCH`
  `OKLAB`
  `OKLCH`
  `SRGB`
  `SRGB_LINEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GradientShader.InterpolationColorSpace`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GradientShader.InterpolationColorSpace[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DESTINATION

    public static final GradientShader.InterpolationColorSpace DESTINATION
    Interpolate in the color space of the render target.

  - ### SRGB

    public static final GradientShader.InterpolationColorSpace SRGB

  - ### SRGB_LINEAR

    public static final GradientShader.InterpolationColorSpace SRGB_LINEAR

  - ### LAB

    public static final GradientShader.InterpolationColorSpace LAB

  - ### OKLAB

    public static final GradientShader.InterpolationColorSpace OKLAB

  - ### HSL

    public static final GradientShader.InterpolationColorSpace HSL

  - ### HWB

    public static final GradientShader.InterpolationColorSpace HWB

  - ### LCH

    public static final GradientShader.InterpolationColorSpace LCH

  - ### OKLCH

    public static final GradientShader.InterpolationColorSpace OKLCH

- ## Method Details

  - ### values

    public static GradientShader.InterpolationColorSpace[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GradientShader.InterpolationColorSpace valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null